Journal Entries
The journal entries resource.
Basehttps://rest.carbon.ms/journalEntries
GET
/journalEntriesList journal entriess
Retrieve a paginated list of journal entriess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/journalEntries
curl --request GET \
--url 'https://rest.carbon.ms/journalEntries?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"description": "string",
"accountingPeriodId": "xyz789",
"companyId": "xyz789",
"postingDate": "2026-01-01",
"createdAt": "2026-01-01T00:00:00Z",
"customFields": "string",
"tags": []
}
]GET
/journalEntriesRetrieve a journal entries
Fetch a single journal entries by filtering on `id`.
Query parameters
idstringMatch on the journal entries's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/journalEntries
curl --request GET \
--url 'https://rest.carbon.ms/journalEntries?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"description": "string",
"accountingPeriodId": "xyz789",
"companyId": "xyz789",
"postingDate": "2026-01-01",
"createdAt": "2026-01-01T00:00:00Z",
"customFields": "string",
"tags": []
}